libeidviewer-devel-4.4.13-alt1.i586.rpm


Advertisement

Description

libeidviewer-devel - eid-viewer library - development files

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libeidviewer-devel-4.4.13-alt1.i586.rpm
Package name libeidviewer-devel
Package version 4.4.13
Package release alt1
Package architecture i586
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 24.18 KB
Installed size 24.18 KB
The eid-viewer library is a high-level, event-based library written
originally for use by the official eID-viewer program. It is a simple
to use library to access a Belgian eID, and can be used as an
alternative for the PKCS#11 API for projects that don't have high
performance requirements and don't need to do cryptographic operations.
This package contains the static libraries and the development headers
for libeidviewer.

Alternatives

Package Version Architecture Repository
libeidviewer-devel-4.4.13-alt1.x86_64.rpm 4.4.13 x86_64 Classic
libeidviewer-devel - - -

Requires

Name Value
libeidviewer = 4.4.13-alt1:sisyphus+222909.100.1.1
libssl-devel -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libeidviewer-devel = 4.4.13-alt1:sisyphus+222909.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libeidviewer-devel-4.4.13-alt1.i586.rpm
Source Package eid-mw-4.4.13-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libeidviewer-devel rpm package:
    # sudo apt-get install libeidviewer-devel

Files

Path
/usr/include/eid-util/utftranslate.h
/usr/include/eid-viewer/certhelpers.h
/usr/include/eid-viewer/eid-viewer.h
/usr/include/eid-viewer/macros.h
/usr/include/eid-viewer/oslayer.h
/usr/include/eid-viewer/verify_cert.h
/usr/lib/libeidviewer.so

Changelog

2018-12-16 - Pavel Nakonechnyi <zorg@altlinux.org> 4.4.13-alt1
- updated to version 4.4.13
- switched to webextension firefox addon
2018-08-29 - Grigory Ustinov <grenka@altlinux.org> 4.4.1-alt1.1
- NMU: Rebuild with new openssl 1.1.0.
2018-05-05 - Pavel Nakonechnyi <zorg@altlinux.org> 4.4.1-alt1
- updated to version 4.4.1
2018-04-08 - Pavel Nakonechnyi <zorg@altlinux.org> 4.3.8-alt1
- updated to version 4.3.8
2017-10-29 - Pavel Nakonechnyi <zorg@altlinux.org> 4.3.3-alt1
- updated to version 4.3.3
2017-09-02 - Pavel Nakonechnyi <zorg@altlinux.org> 4.2.10-alt1
- updated to version 4.2.10
2017-05-14 - Pavel Nakonechnyi <zorg@altlinux.org> 4.2.8-alt1
- updated to version 4.2.8
- add localized messages for dialogs
- fix sharedlibs policy draft violation
2017-04-08 - Pavel Nakonechnyi <zorg@altlinux.org> 4.2.5-alt1
- updated to version 4.2.5
2017-03-18 - Pavel Nakonechnyi <zorg@altlinux.org> 4.2.4-alt1
- updated to version 4.2.4
2017-01-09 - Pavel Nakonechnyi <zorg@altlinux.org> 4.1.9.git.d14efb36-alt1
- initial build from https://github.com/Fedict/eid-mw.git

See Also

Package Description
libeiskaltdcpp-2.2.10.0.614.gitc9c510b8-alt1.i586.rpm eiskaltdcpp libraries
libelementary-1.22.3-alt1.i586.rpm Libraries for efl
libelementary-devel-1.22.3-alt1.i586.rpm Development files for Elementary
libelf-0.177-alt1.i586.rpm Shared library to read and write ELF files
libelf-devel-0.177-alt1.i586.rpm Development libelf library and header files
libelf-devel-static-0.177-alt1.i586.rpm Static libelf library
libell-0.4-alt1.g1b8e643.i586.rpm Embedded Linux library
libell-devel-0.4-alt1.g1b8e643.i586.rpm Embedded Linux library development files
libelogind-241.2-alt1.i586.rpm The elogind library
libelogind-devel-241.2-alt1.i586.rpm Development libraries for elogind
libelogind-devel-docs-241.2-alt1.i586.rpm Development documentation for elogind
libelogind-devel-static-241.2-alt1.i586.rpm Development static libraries for elogind
libenca-1.19-alt1.i586.rpm Shared Enca library
libenca-devel-1.19-alt1.i586.rpm Header files and libraries for Enca development
libenchant-1.6.0-alt3.qa1.i586.rpm An Enchanting Spell Checking Library
Advertisement
Advertisement